Language chat is meant to allow anyone to write a chat message in "a certain language" and have it only be legible for other players that speak that language.

# Usage
It is mostly meant as a tool for GMs to convey information to players like having a letter that is in a language that only some can read, however it can also be used by players to talk with each other in a language that only some can understand.
It will send the chat message to everyone on the board, no matter whether they have the Symbiote open or even installed.
The following logic is used to determine what is displayed:
1. The original sender always knows the language that the message is sent in, so the sender will get will see the original message prefixed by the language name.
2. Players who understand that language get the original message prefixed by the language name.
3. Players who are in the GM role get the original message prefixed by the language name.
3. Otherwise the player gets the encrypted version of the message prefixed by the language name.

*Note: The encrypted content is generated based on the original message and a shift based on the language per word. This means that saying the same sentence or even the same words will result in the same encryption each time. 

# Dual View Mode
The option can be used to toggle displaying both the translated and untraslated text when a player knows the language. This can be useful for GMs to see both versions of the message.

